/*  Note: You are free to use whatever license you want.
    Eventually you will be able to edit it within Glade. */

/*  project1
 *  Copyright (C) <YEAR> <AUTHORS>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>
#include "gladesig.h"
#include "gladesrc.h"

GtkWidget*
get_widget                             (GtkWidget       *widget,
                                        gchar           *widget_name)
{
  GtkWidget *found_widget;

  if (widget->parent)
    widget = gtk_widget_get_toplevel (widget);
  found_widget = (GtkWidget*) gtk_object_get_data (GTK_OBJECT (widget),
                                                   widget_name);
  if (!found_widget)
    g_warning ("Widget not found: %s", widget_name);
  return found_widget;
}

/* This is an internally used function to set notebook tab widgets. */
void
set_notebook_tab                       (GtkWidget       *notebook,
                                        gint             page_num,
                                        GtkWidget       *widget)
{
  GtkNotebookPage *page;
  GtkWidget *notebook_page;

  page = (GtkNotebookPage*) g_list_nth (GTK_NOTEBOOK (notebook)->children, page_num)->data;
  notebook_page = page->child;
  gtk_widget_ref (notebook_page);
  gtk_notebook_remove_page (GTK_NOTEBOOK (notebook), page_num);
  gtk_notebook_insert_page (GTK_NOTEBOOK (notebook), notebook_page,
                            widget, page_num);
  gtk_widget_unref (notebook_page);
}

GtkWidget*
create_ven_principal ()
{
  GtkWidget *ven_principal;
  GtkWidget *vbox1;
  GtkWidget *fixed1;
  GtkWidget *txt_formula;
  GtkWidget *btn_calcular;

  ven_principal = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (ven_principal), "ven_principal", ven_principal);
  gtk_widget_set_usize (ven_principal, 300, 300);
  gtk_window_set_title (GTK_WINDOW (ven_principal), "Ventana Principal");
  gtk_window_set_policy (GTK_WINDOW (ven_principal), TRUE, TRUE, FALSE);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_object_set_data (GTK_OBJECT (ven_principal), "vbox1", vbox1);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (ven_principal), vbox1);

  fixed1 = gtk_fixed_new ();
  gtk_object_set_data (GTK_OBJECT (ven_principal), "fixed1", fixed1);
  gtk_widget_show (fixed1);
  gtk_box_pack_start (GTK_BOX (vbox1), fixed1, TRUE, TRUE, 0);
  gtk_widget_set_usize (fixed1, -1, 10);

  txt_formula = gtk_entry_new ();
  gtk_object_set_data (GTK_OBJECT (ven_principal), "txt_formula", txt_formula);
  gtk_widget_show (txt_formula);
  gtk_fixed_put (GTK_FIXED (fixed1), txt_formula, 24, 8);
  gtk_widget_set_usize (txt_formula, 260, 22);
  gtk_entry_set_text (GTK_ENTRY (txt_formula), "");

  btn_calcular = gtk_button_new_with_label ("Calcular");
  gtk_object_set_data (GTK_OBJECT (ven_principal), "btn_calcular", btn_calcular);
  gtk_widget_show (btn_calcular);
  gtk_fixed_put (GTK_FIXED (fixed1), btn_calcular, 112, 40);
  gtk_widget_set_usize (btn_calcular, 70, 28);
  gtk_signal_connect (GTK_OBJECT (btn_calcular), "clicked",
                      GTK_SIGNAL_FUNC (on_btn_calcular_clicked),
                      NULL);

  return ven_principal;
}

